#
# spec file for package cdrecord (Version 2.01a18)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  resmgr
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl resmgr rpm

Name:         cdrecord
License:      GPL, Other License(s), see package
Group:        Productivity/Multimedia/CD/Record
Autoreqprov:  on
Version:      2.01a18
Release:      58
Source:       cdrtools-%{version}.tar.bz2
Source1:      scan_scsi.linux
Source2:      cdinfo.c
Patch1:       cdrtools-%{version}-makefile.patch
Patch2:       cdrtools-%{version}-silo.patch
# http://people.mandrakesoft.com/~warly/files/cdrtools/
Patch3:       cdrtools-%{version}-dvd.patch.bz2
Patch4:       cdrtools-%{version}-dvd-fix.patch
Patch6:       cdrtools-%{version}-resmgr.patch
# http://www.solinno.co.uk/leigh/cdrtools-2.00.3-chrp-boot.diff
Patch7:       cdrtools-%{version}-chrp-boot.diff
Patch8:       cdrtools-%{version}-openbydev.patch
URL:          http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Tool for writing CDRs

%description
Cdrecord allows you to create CDs on a CD-writer.



Authors:
--------
    Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>

%package devel
Summary:      Tool for writing CDRs
Group:        Productivity/Multimedia/CD/Record

%description devel
Cdrecord allows you to create CDs on a CD-writer.



Authors:
--------
    Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>

%package -n mkisofs
Summary:      A program for creating CDs in Linux
Group:        Productivity/Multimedia/CD/Record
Requires:     zisofs-tools

%description -n mkisofs
Mkisofs is a pre-mastering program that generates an iso9660 filesystem
. It takes a snapshot of a given directory tree, and generates a binary
image which corresponds to an iso9660 filesystem that can be written to
a block device.



Authors:
--------
    Eric Youngdale <eric@aib.com>
    H. Peter Anvin <hpa@yggdrasil.com>
    John Brezak <brezak@ch.hp.com>
    Paul Eggert <eggert@twinsun.com>
    Peter van der Veen <peterv@qnx.com>
    R.-D. Marzusch <marzusch@odiehh.hanse.de>

%package -n cdda2wav
Summary:      A CD-Audio Grabbing tool
Group:        Productivity/Multimedia/CD/Grabbers

%description -n cdda2wav
The common CD-audio grabbing tool for Linux. The sources are now
contained in the cdrecord source archive.



Authors:
--------
    Heiko <heiko@colossus.escape.de>

%prep
%setup -q -n cdrtools-2.01
%patch1
%patch2
%patch3 -p1
%patch4
%patch7 -p1
#
mv conf/xconfig.h.in conf/xconfig.h.in.orig
sed -e 's|\(#.*\)\(/\*.*\*/\)|\2\
\1|g' conf/xconfig.h.in.orig >conf/xconfig.h.in
#
%patch6 -p1
%patch8 -p1
#
ln -s i586-linux-cc.rul RULES/x86_64-linux-cc.rul
ln -s i586-linux-cc.rul RULES/ppc64-linux-cc.rul
ln -s i586-linux-cc.rul RULES/s390x-linux-cc.rul
#ln -s ppc-linux-cc.rul RULES/s390-linux-cc.rul
%{?suse_update_config:%{suse_update_config -f conf}}
cd conf
autoconf

%build
make all MAKEPROG=gmake MANDIR=share/man CFLAGS="$RPM_OPT_FLAGS" \
	 CONFFLAGS="--enable-resmgr"
gcc $RPM_OPT_FLAGS %{S:2} -o cdinfo 
cd mkisofs
make apple_driver

%install
rm -rf $RPM_BUILD_ROOT
make install MAKEPROG=gmake INS_BASE=$RPM_BUILD_ROOT/usr/ MANDIR=share/man
#mkdir patch
#mv Linux.scsi-patch patch
install -d $RPM_BUILD_ROOT/usr/bin
install cdda2wav/readmult \
        cdda2wav/cdda2mp3 \
	cdda2wav/cdda2mp3.new \
	cdda2wav/inf2cdtext.pl \
	%{S:1} \
	mkisofs/apple_driver \
	cdinfo \
        $RPM_BUILD_ROOT/usr/bin
ln -sf cdda2wav $RPM_BUILD_ROOT/usr/bin/list_audio_tracks
mv mkisofs/diag/README mkisofs/diag/README.diag
ln -sf isoinfo.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8/devdump.8.gz
ln -sf isoinfo.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8/isovfy.8.gz
ln -sf isoinfo.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8/isodump.8.gz
#cleanup, is not packed anyway
#rm -fv $RPM_BUILD_ROOT/usr/lib/lib*.a
if [ "%_lib" != "lib" ] ; then
  mkdir -p $RPM_BUILD_ROOT/usr/%_lib
  mv $RPM_BUILD_ROOT/usr/lib/lib*.a $RPM_BUILD_ROOT/usr/%_lib
fi
rm -rf $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/include/cdrecord
cp -a incs/*/*.h $RPM_BUILD_ROOT/usr/include/cdrecord
cp -a include/*.h $RPM_BUILD_ROOT/usr/include/cdrecord
cp -a libscg/*.h $RPM_BUILD_ROOT/usr/include/cdrecord
cp -a libscg/scg $RPM_BUILD_ROOT/usr/include/cdrecord
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/cdda2ogg.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ABOUT AN* INSTALL README Changelog COPYING README.* START cdrecord/LICENSE 
%doc %{_mandir}/man1/cdrecord.1.gz
%doc %{_mandir}/man1/readcd.1.gz
%doc %{_mandir}/man1/scgcheck.1.gz
%attr(4555,root,root) /usr/bin/cdrecord
/usr/bin/readcd
/usr/bin/scgcheck
/usr/bin/cdinfo
%attr(0555,root,root)/usr/sbin/rscsi

%files devel
/usr/include/cdrecord
/usr/%{_lib}/lib*.a

%files -n mkisofs
%defattr(-, root, root)
%doc mkisofs/README* mkisofs/TODO mkisofs/COPYING 
%doc %{_mandir}/man8/*
/usr/bin/mkisofs
/usr/bin/mkhybrid
/usr/bin/isoinfo
/usr/bin/devdump
/usr/bin/isodump
/usr/bin/isovfy
/usr/bin/apple_driver
/usr/bin/isodebug

%files -n cdda2wav
%defattr(-, root, root)
%doc cdda2wav/{Changelog,FAQ,Frontends,HOWTOUSE,NEEDED,OtherProgs,README,THANKS,TODO}
%doc %{_mandir}/man1/cdda2wav.1.gz
/usr/bin/readmult
/usr/bin/scan_scsi.linux
/usr/bin/cdda2mp3
/usr/bin/cdda2mp3.new
/usr/bin/cdda2wav
/usr/bin/inf2cdtext.pl
/usr/bin/list_audio_tracks

%changelog -n cdrecord
* Wed Dec 17 2003 - okir@suse.de
- Fixed open-by-device/resmgr interaction, which is needed to
  get cdrecord to work on 2.6 kernels (#33642)
* Thu Sep 11 2003 - nadvornik@suse.cz
- added new resmgr patch with paride support from okir@suse.de [#29601]
* Wed Sep 10 2003 - nadvornik@suse.cz
- made the check for sequential recording silent
* Fri Sep 05 2003 - nadvornik@suse.cz
- fixed return value from getdisktype_mdvd
* Sun Aug 31 2003 - ro@suse.de
- create cdrecord-devel package and package libscg files
* Wed Aug 13 2003 - nadvornik@suse.cz
- updated to 2.01a18
- added patch for dvd support
* Mon Aug 11 2003 - nadvornik@suse.cz
- added chrp-boot patch
* Wed May 28 2003 - nadvornik@suse.cz
- remove/install unpackaged files from buildroot
* Mon Jan 13 2003 - nadvornik@suse.cz
- updated to 2.0 final
* Wed Dec 18 2002 - froh@suse.de
- re-enable cdda2wav on s390 (#22498)
* Tue Nov 05 2002 - okir@suse.de
- Proactive security patch: added resmgr support - cdrecord now
  performs a minimum of initialization as root, then drops privileges
  and uses resmgr to access device files.
* Thu Sep 26 2002 - nadvornik@suse.cz
- removed zisofs-tools, it is a separate package,
- mkisofs requires zisofs-tools
* Tue Sep 24 2002 - nadvornik@suse.cz
- updated to 1.11a34
- a bug with cdrecord -fix has been fixed [#19853]
- improved man page
- other fixes and improvements
- added zisofs-tools for transparent compression
* Tue Sep 03 2002 - nadvornik@suse.cz
- added patch for format string security problem [#18756]
* Wed Jul 31 2002 - nadvornik@suse.cz
- updated to 1.11a28
- cdrecord now writes MCN/ISRC even in RAW mode
* Fri Jul 26 2002 - nadvornik@suse.cz
- updated to 1.11a27:
- DVD-Video support
* Wed Jul 10 2002 - meissner@suse.de
- add RULES link for ppc64, s390x.
* Tue May 14 2002 - ro@suse.de
- add RULES link for x86_64
* Tue Apr 30 2002 - uli@suse.de
- update -> 1.11a21 (fixes probs with xcdroast >=0.98alpha9)
* Fri Mar 01 2002 - nadvornik@suse.cz
- fixed man pages for isodump, devdump, isovfy [bug #14012]
* Tue Feb 26 2002 - nadvornik@suse.cz
- fixed "#!/bin/sh" line in cdda2mp3.new
* Mon Jan 21 2002 - nadvornik@suse.cz
- updated to 1.11a13:
- new script inf2cdtext.pl for creating CD-text data
* Fri Dec 07 2001 - nadvornik@suse.cz
- updated to 1.11a12:
- readcd: changed handling of Table of contents
- mkisofs: first UDF support
* Tue Oct 30 2001 - uli@suse.de
- added patch from zisofs-tools allowing for creation of compressed
  ISO filesystems
* Mon Sep 03 2001 - nadvornik@suse.cz
- changed version string 1.11a06 -> 1.11.a06
* Tue Aug 14 2001 - nadvornik@suse.cz
- update to 1.11a06
* Thu Jul 12 2001 - nadvornik@suse.cz
- update to 1.11a05
- can be built with all kernels
* Mon Jun 18 2001 - schwab@suse.de
- Fix to compile.
* Thu Apr 26 2001 - ro@suse.de
- added config-dist.sh
* Fri Feb 09 2001 - ro@suse.de
- fixed to compile
* Fri Jan 19 2001 - kukuk@suse.de
- fix missing exit
* Fri Jan 19 2001 - kukuk@suse.de
- cdrecord should only be build on kernel 2.2
* Mon Dec 11 2000 - ro@suse.de
- fixed group typos
* Tue Oct 17 2000 - bk@suse.de
- Use ppc-linux rules for s390.
* Mon Oct 09 2000 - smid@suse.cz
- New version 1.9
* Tue Sep 19 2000 - schwab@suse.de
- Use i586-linux rules for ia64.
- Add %%suse_update_config.
* Fri Jul 21 2000 - smid@suse.cz
- Merge patches for booting SPARCs/silo with version 1.8.1
* Wed Jun 07 2000 - cihlar@suse.cz
- Copyright tag fixed
* Wed May 31 2000 - cihlar@suse.cz
- update to version 1.8.1
* Fri Apr 07 2000 - smid@suse.cz
- buildroot added
* Fri Mar 24 2000 - kukuk@suse.de
- Merge patches for booting SPARCs/silo
* Sun Feb 20 2000 - bk@suse.de
- added link /usr/bin/list_audio_tracks -> cdda2wav (needed for cdda2mp3)
* Sun Feb 06 2000 - olh@suse.de
- update cdrecord to 1.8
  update mkhybrid to 1.12b5.4
  make apple_driver for bootable Mac CD's
* Thu Jan 13 2000 - ro@suse.de
- update to a40-3
* Mon Dec 20 1999 - ro@suse.de
- update to a35
* Mon Oct 18 1999 - ro@suse.de
- update to a30
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- now building mkhybrid with -fsigned-char (PPC)
* Mon Aug 09 1999 - ro@suse.de
- update to 1.8a24
* Mon Jul 12 1999 - ro@suse.de
- update to a23
* Tue Jun 01 1999 - ro@suse.de
- update to 1.8a22 (mkisofs-1.12b5)
* Fri Apr 09 1999 - ro@suse.de
- update to 1.8a20
* Mon Mar 08 1999 - ro@suse.de
- update to 1.8a19
* Mon Feb 15 1999 - ro@suse.de
- update to 1.8a17
- mkisofs and cdda2wav are built from same sources
* Tue Dec 01 1998 - ro@suse.de
- update to 1.8a13
* Mon Nov 02 1998 - ro@suse.de
- update to 1.6.1
* Mon Apr 20 1998 - ro@suse.de
- update to 1.6 final
* Tue Mar 03 1998 - ro@suse.de
- update to 1.6a9  includes new fifo code
* Wed Nov 12 1997 - ms@suse.de
- initial package for suse version 1.5
